#
# spec file for package ibus-m17n
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ibus-m17n
Version:        1.4.6
Release:        150400.1.7
Summary:        The M17N engine for IBus platform
License:        GPL-2.0-or-later
Group:          System/Localization
Provides:       locale(ibus:am;ar;as;bn;fa;gu;he;hi;ja;ka;kk;kn;ko;lo;ml;my;ur;ru;vi;zh)
URL:            https://github.com/ibus/ibus-m17n
Source:         https://github.com/ibus/ibus-m17n/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(ibus-1.0) >= 1.4
BuildRequires:  pkgconfig(m17n-shell)
Requires:       ibus

%description
M17N engine for IBus input platform. It allows input of many languages using
the input table maps from m17n-db.

%prep
%setup -q

%build
%configure --disable-static \
           --libexecdir=%{_prefix}/%{_lib}/ibus \
           --with-gtk=3.0
%make_build

%install
%makeinstall

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_datadir}/ibus-*
%{_libdir}/ibus/ibus-*
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-m17n.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.m17n.gschema.xml
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/m17n.appdata.xml

%changelog
* Fri Jul 16 2021 hillwood@opensuse.org
- Update version to 1.4.6
  * Make inscript2 engines rank higher than inscript engines
* Sat May  8 2021 rpm@fthiessen.de
- Update to version 1.4.5
  * Use ibus_engine_update_preedit_with_mode() always with
    IBUS_ENGINE_PREEDIT_COMMIT mode
  * Translation update from Weblate, bn new and 100%% complete,
    pt_BR now 100%% complete
* Wed Feb 17 2021 hillwood@opensuse.org
- Update version to 1.4.4
  * Update translations
* Wed Jan 13 2021 wsxy162@gmail.com
- Update version to 1.4.3
  * New translation: es (Spanish) 100%%
* Sun Feb 23 2020 hillwood@opensuse.org
- Change group as System/Localization
- Enable ibus-m17n-setup build
* Sat Feb 22 2020 hillwood@opensuse.org
- Update version to 1.4.2
  * Update translations
  * Fix for google code issue 1781 in ibus-m17n for kk
    (Correct symbols for kk input methods)
  * Add m17n.appdata.xml
  * Migration from IBusConfig to GSettings
  * Add an option to emulate US layout
  * Fix preedit background colour and underlining
  * Switch off preedit background and foreground correctly if disabled
    in the setup tool
  * bug fixes
* Mon Nov 14 2016 toddrme2178@gmail.com
- "ua" isn't a valid language code.  Change to "ur", which is
  listed as an available language in default.xml.in.
* Thu Aug 21 2014 fcrozat@suse.com
- Remove the following languages
  (cs,da,de,el,en,es,fi,fr,hr,it,nb,nn,pa,pl,sk,sv) from
  locale-specific provides tag, to prevent ibus/ibus-m17n to be
  installed by default for those languages.
* Wed Jul  4 2012 swyear@gmail.com
- Add ibus as Requires
* Sun Jun 10 2012 hillwood@linuxfans.org
- update to 1.3.4
* Fri Sep 23 2011 andrea.turrini@gmail.com
- Fixed typo in ibus-m17n.spec
* Fri Jul 22 2011 tiwai@suse.de
- Add locale-specific provides tag (bnc#707712)
* Tue Jun 14 2011 swyear@gmail.com
- Update to 1.3.2;
  including fixes for new ibus 1.3.x
* Fri Mar 26 2010 tiwai@suse.de
- fix file list
* Fri Jan 29 2010 mxwu@novell.com
- Initial import
